- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionBackendServices/getHealth#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionBackendServices/getHealth#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionBackendServices/getHealth#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionBackendServices/getHealth#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionBackendServices/getHealth#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionBackendServices/getHealth#body.BackendServiceGroupHealth.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionBackendServices/getHealth#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionBackendServices/getHealth#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionBackendServices/getHealth#try-it)

Gets the most recent health check results for this regional BackendService.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`POST https://compute.googleapis.com/compute/beta/projects/{project}/regions/{region}/backendServices/{backendService}/getHealth`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` |
| `region` | `string` Name of the region scoping this request. |
| `backendService` | `string` Name of the BackendService resource for which to get health. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "group": string } ``` |

| Fields ||
|---|---|
| `group` | `string` A URI referencing one of the instance groups or network endpoint groups listed in the backend service. |

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "healthStatus": [ { "weight": string, "weightError": enum, "ipAddress": string, "ipv6Address": string, "port": integer, "instance": string, "healthState": enum, "ipv6HealthState": enum, "annotations": { string: string, ... }, "forwardingRuleIp": string, "forwardingRule": string } ], "annotations": { string: string, ... } } ``` |

| Fields ||
|---|---|
| `kind` | `string` Output only. Type of resource. Always `compute#backendServiceGroupHealth` for the health of backend services. |
| `healthStatus[]` | `object` Health state of the backend instances or endpoints in requested instance or network endpoint group, determined based on configured health checks. |
| `healthStatus[].weight` | `string` |
| `healthStatus[].weightError` | `enum` |
| `healthStatus[].ipAddress` | `string` For target pool based Network Load Balancing, it indicates the forwarding rule's IP address assigned to this instance. For other types of load balancing, the field indicates VM internal ip. |
| `healthStatus[].ipv6Address` | `string` |
| `healthStatus[].port` | `integer` The named port of the instance group, not necessarily the port that is health-checked. |
| `healthStatus[].instance` | `string` URL of the instance resource. |
| `healthStatus[].healthState` | `enum` Health state of the IPv4 address of the instance. |
| `healthStatus[].ipv6HealthState` | `enum` Health state of the IPv6 address of the instance. |
| `healthStatus[].annotations` | `map (key: string, value: string)` Metadata defined as annotations for network endpoint. |
| `healthStatus[].forwardingRuleIp` | `string` A forwarding rule IP address assigned to this instance. |
| `healthStatus[].forwardingRule` | `string` URL of the forwarding rule associated with the health status of the instance. |
| `annotations` | `map (key: string, value: string)` Metadata defined as annotations on the network endpoint group. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.regionBackendServices.get`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam).